#
# spec file for package dotconf
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           dotconf
Url:            https://github.com/williamh/dotconf/
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkg-config
Version:        1.3
Release:        16.5
Source:         %{name}-%{version}.tbz2
Summary:        Configuration file parser library
License:        LGPL-2.1+
Group:          Development/Languages/C and C++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
dotconf is a simple-to-use and powerful configuration-file parser
library written in C. The configuration files created for dotconf look
very similar to those used by the Apache Webserver. Even
Container-Directives known from httpd.conf can easily be used in the
exact same manner as for Apache-Modules. It supports various types of
arguments, dynamically loadable modules that create their own
configuration options on-the-fly, a here-documents feature to pass very
long ARG_STR data to your app, and on-the-fly inclusion of additional
config files.

%package -n libdotconf0
Summary:        Configuration file parser library
Group:          Development/Languages/C and C++
# Package was formerly libdotconf-1_0-0
Provides:       libdotconf-1_0-0 = %{version} 
Obsoletes:      libdotconf-1_0-0 < %{version}

%description  -n libdotconf0
dotconf is a simple-to-use and powerful configuration-file parser
library written in C. The configuration files created for dotconf look
very similar to those used by the Apache Webserver. Even
Container-Directives known from httpd.conf can easily be used in the
exact same manner as for Apache-Modules. It supports various types of
arguments, dynamically loadable modules that create their own
configuration options on-the-fly, a here-documents feature to pass very
long ARG_STR data to your app, and on-the-fly inclusion of additional
config files.

%package devel
Summary:        Configuration file parser library
Group:          Development/Languages/C and C++
Requires:       libdotconf0 = %version

%description devel
dotconf is a simple-to-use and powerful configuration-file parser
library written in C. The configuration files created for dotconf look
very similar to those used by the Apache Webserver. Even
Container-Directives known from httpd.conf can easily be used in the
exact same manner as for Apache-Modules. It supports various types of
arguments, dynamically loadable modules that create their own
configuration options on-the-fly, a here-documents feature to pass very
long ARG_STR data to your app, and on-the-fly inclusion of additional
config files.

%prep
%setup -q

%build
autoreconf -fiv
%configure --disable-static --with-pic
make %{?_smp_mflags}

%install 
make DESTDIR=$RPM_BUILD_ROOT install
%{__rm} -f %{buildroot}%{_libdir}/*.la
rm doc/Makefile*

%post -n libdotconf0 -p /sbin/ldconfig

%postun -n libdotconf0 -p /sbin/ldconfig

%files
%defattr (-,root,root,755)
%doc %{_datadir}/doc/dotconf/*
%dir %{_datadir}/doc/dotconf

%files -n libdotconf0
%defattr (-,root,root,755)
%{_libdir}/libdotconf*.so.*

%files devel
%defattr (-,root,root,755)
%{_libdir}/libdotconf*.so
%{_libdir}/pkgconfig/dotconf.pc
/usr/include/dotconf.h

%changelog
* Sun Feb  5 2012 jengelh@medozas.de
- Remove redundant tags/sections
- Remove dependencies on main package, which only has docs
* Fri Sep 30 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Wed Sep 21 2011 mgorse@suse.com
- Fix docs
- Fix package name to correspond with shared lib conventions, and obsolete
  old package
* Tue Sep 20 2011 mgorse@suse.com
- Remove files that are no longer installed
* Tue Sep 20 2011 mgorse@suse.com
- Switch URL to github.com/williamh and upgrade to v1.3 from there
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Sat Jun  6 2009 coolo@suse.de
- follow shared library policy
* Fri Mar 20 2009 crrodriguez@suse.de
- fix packaging of libraries
- remove static libraries except the ones only available in static form
* Mon May 12 2008 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Remove junk.
* Sun Aug 12 2007 marco@suse.de
- moved some more files to devel package
- use bzip2 for source tarball
* Sat Jul 28 2007 ro@suse.de
- added defattr to devel package
* Fri Jul 27 2007 marco@suse.de
- initial version for opensuse (1.0.13)
  - James Cassidy sent in a little patch to add a 'pkg-config' file
  - Bastian Kleineidam sent in a patch for better support of 64bit architectures
  - Joost Remijn of eidetica.com sent in a patch fixing a nasty realloc()
    bug
  - Preston Smith fixed the compilation for systems where 'char' is
  handled as 'unsigned char' (like ARM)
    (for infos see http://www.arm.linux.org.uk/docs/faqs/signedchar.shtml)
  - Ross Alexander of NEC Europe sent in two patches to dotconf.m4, fixing
  version handling and prefix usage
  - a small fix for all RPM users out there. dotconf up to 1.0.9 did not put
    /usr/lib/libdotconf.so into the binary package
